<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\Qualifikationen;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;

abstract class WerdegangRowView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->teilnehmer);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(new \ExportTeilnehmer(), array(
      'show_checkbox' => $this->viewModel->showCheckbox ? '1' : '0',
      'is_header' => $this->viewModel->isHeader ? '1' : '0'
    ));
  }
}